<div id="access-verification">
	<div class="panel-group" id="accordionAccessVerification">
		<div class="panel panel-default">
			<div class="panel-heading"
				 ng-style="accessVerificationStatus == 'healthy' ? decoration.style.healthy : decoration.style.pending"
				 title="{{accessVerificationStatus == 'healthy' ? decoration.tooltip.healthy : decoration.tooltip.pending}}">

				<div class="panel-title" data-toggle="collapse" data-parent="#accordionAccessVerification" data-target="#accessVerificationContainer" ng-click="toggleCollapsibleAccessVerification()">
					<h2>Access Verification
						<span class="panel-heading-icon glyphicon" ng-class="decoration.collapsed.accessVerification ? 'glyphicon-chevron-right' : 'glyphicon-chevron-up' "></span>
					</h2>
				</div>
			</div>
			<div id="accessVerificationContainer" class="panel-collapse collapse in">
				<div class="panel-body">
					<div class="row">
						<div class="col-lg-8 col-sm-offset-2">
							<form ng-submit="verifyAccess()">
								<div class="form-group">
									<label for="userAccessVerificationSurname">Verify another user's access</label>
									<input type="text"
										   class="form-control"
										   id="userAccessVerificationSurname"
										   placeholder="Enter a user's surname"
										   ng-model="userAccessVerificationSurname">

									<p><i>If you're searching by a user's surname, please make sure that you've written the full surname as it is read in the <a href="https://phonebook.cern.ch/phonebook/#" rel="noopener" target="_blank">CERN phonebook</a>. If multiple users share the same surname, please use the form underneath to ensure that you will get the information you request.</i></p>
									<p><i>In case you wish to perform multiple searches, please make sure to use the Reset button before proceeding to the next search.</i></p>
									<input type="number"
										   class="form-control"
										   id="userAccessVerificationId"
										   placeholder="Enter a user's ID"
										   ng-model="userAccessVerificationId">
								</div>
								<div class="text-right">
									<button type="reset" class="btn btn-default" ng-click="resetAccessVerificationForm()">Reset</button>
									<button type="submit" class="btn btn-default" ng-click="verifyAccess()">Search</button>
								</div>
							</form>
							<h5>Displaying accessibility and IMPACT requests for the last two days<span ng-show="searchAccessVerification"> for user <b>{{userAccessVerificationSurname.toUpperCase()}}</b> : <b>{{userAccessVerificationId}}</b>: </span><span class="label label-danger" ng-show="unknownUserMsg">Unknown user</span></h5>
						</div>
					</div>
					<br>
					<div class="row">
						<div class="col-lg-12">
							<adams-access></adams-access>
						</div>
					</div>
					<div class="row">
						<div class="col-lg-12">
							<impact-general></impact-general>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>